/* $Id: SetLinkSourceAction.java 1072 2016-02-27 04:27:27Z shayashi $ */
package smart_gs.drawing_tool.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.connection.ConnectionCreator;
import smart_gs.logical.GSResource;
import smart_gs.reasoning_web.logical.GS_RWElement;

public class SetLinkSourceAction implements ActionListener{
	
	private GSResource source;
	
	public SetLinkSourceAction(GSResource source){
		this.source = source;
	}
	
	public void actionPerformed(ActionEvent e) {
		ConnectionCreator.setSource(source);
	}
	
	
}
